<p-calendar
  [(ngModel)]="dates"
  [locale]="calendarLocale"
  [selectionMode]="selectionMode"
  [inputStyle]="inputStyle"
  [firstDayOfWeek]="1"
  (onSelect)="onSelectAbsoluteDates()"
  (onBlur)="onBlur()"
  (onClose)="onClose()"
  (onInput)="onInput()">
  <p-footer>
    <button *ngFor="let relativeDateRangeType of relativeDateRangeTypes"
      pButton
      [label]="relativeDateRangeType.label"
      [class]="relativeDateRangeType.class"
      [class.filter-active]="isRelativeDateValueSelected(relativeDateRangeType.key)"
      (click)="onSelectRelativeDates(relativeDateRangeType.key)"
    ></button>
  </p-footer>
</p-calendar>